Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0011996
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminoralways2010-01-18 16:122010-12-21 21:59
ReporternetworkbView Statuspublic 
Assigned Toadrianromero 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revision098eeb5c3218
ProjectionnoneETAnoneTarget Version2.50MP14
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version2.50MP9SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0011996: The jasper report linked to MM Shipment/Receipt is not printed

DescriptionIn Financial Management > Accounting > Transactions > Document type > Report Template, a record is created to print a jasper report in case of Good Receipts/Good Shipments (MM Shipment, MM Receipt with confirmation).

However, when a Good Shipment is printed, jasper report is not used. It shows the old one (.fo report)
Steps To ReproduceGo to Financial Management > Accounting > Transactions > Document type. Search MM Shipment.
Go to Financial Management > Accounting > Transactions > Document type > Report Template and create a new one.
Enter a name.
As Template location: @basedesign@/org/openbravo/erpReports
Template filename: RptC_Invoice.jrxml
Report Filename: Sales Invoice-@our_ref@
Go to Sales Management > Transactions > Good Shipment.
Search for a MM shipment.
Print it.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00133562.50MP18 closedadrianromero Error when updating from 2.50mp14 to 2.50mp17. 
related to feature request 0037875 closedshuehner Delete report RptM_Inout (based on old fop, not used) 

-  Notes
(0025179)
iperdomo (developer)
2010-03-09 13:35

The process associated with the tab is the one that renders the FOP based report. You need to change the process associated with the tab to "Print orders process".
(0026246)
hgbot (developer)
2010-04-15 12:10

Repository: erp/devel/pi
Changeset: 3b74d6c50ad1370cb02acd30057d8a1db567987a
Author: Sivaraman Rajagopal <sivaraman.rajagopal <at> openbravo.com>
Date: Thu Apr 15 15:53:03 2010 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/3b74d6c50ad1370cb02acd30057d8a1db567987a [^]

Fixes issue 11996: The jasper report linked to MM Shipment/Receipt is not printed

---
M referencedata/sampledata/SmallBazaar.xml
M src-db/database/sourcedata/AD_TAB.xml
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
M src/org/openbravo/erpCommon/ad_forms/InitialClientSetup.java
A src/org/openbravo/erpReports/RptM_InOut.jrxml
A src/org/openbravo/erpReports/Rptm_InOut_Lines.jrxml
---
(0026486)
hudsonbot (developer)
2010-04-19 21:13

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/3b74d6c50ad1 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/91d98bda46c1 [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.17088.obx [^]
(0026502)
hgbot (developer)
2010-04-20 07:42

Repository: erp/devel/pi
Changeset: 098eeb5c3218e26ad793ef0166117853c6a949e1
Author: Harikrishnan Raja <harikrishnan.raja <at> openbravo.com>
Date: Tue Apr 20 11:21:28 2010 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/098eeb5c3218e26ad793ef0166117853c6a949e1 [^]

Fixes issue 11996: The jasper report linked to MM Shipment/Receipt is not printed

---
A src-util/modulescript/build/classes/org/openbravo/modulescript/CreateDoctypeTemplate.class
A src-util/modulescript/build/classes/org/openbravo/modulescript/CreateDoctypeTemplateData.class
A src-util/modulescript/src/org/openbravo/modulescript/CreateDoctypeTemplate.java
A src-util/modulescript/src/org/openbravo/modulescript/CreateDoctypeTemplate_Data.xsql
---
(0026507)
harikrishnan (reporter)
2010-04-20 10:30

Repository: erp/devel/pi
Changeset: e765cd806d02
Author: Harikrishnan Raja <harikrishnan.raja <at> openbravo.com>
Date: Tue Apr 20 11:31:17 2010 +0530
URL: https://code.openbravo.com/erp/devel/pi/rev/e765cd806d02 [^]

Fixes issue 11996: The jasper report linked to MM Shipment/Receipt is not printed

---
src-util/modulescript/src/org/openbravo/modulescript/CreateDoctypeTemplate.java
src-util/modulescript/src/org/openbravo/modulescript/CreateDoctypeTemplate_Data.xsql
---
(0026508)
harikrishnan (reporter)
2010-04-20 10:31

Repository: erp/devel/pi
Changeset: 4940c63db907
Author: Harikrishnan Raja <harikrishnan.raja <at> openbravo.com>
Date: Tue Apr 20 13:39:41 2010 +0530
URL: https://code.openbravo.com/erp/devel/pi/rev/4940c63db907 [^]

Fixes issue 11996: The jasper report linked to MM Shipment/Receipt is not printed

---
src-util/modulescript/src/org/openbravo/modulescript/CreateDoctypeTemplate.java
---
(0026527)
hudsonbot (developer)
2010-04-21 10:43

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/098eeb5c3218 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/6aaf8711c872 [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.17101.obx [^]
(0026737)
sureshbabu (reporter)
2010-04-28 08:26

Tested working fine
(0033357)
camcal (reporter)
2010-12-21 21:59

Hi.

I'm running OB 2.50 MP8 and i wonder how can include this fix without updating the core ?

I tried creating the files described at the changeset and then compiled using "ant compile.complete.deploy" but it didn't work, it's supposed to create the Document Templates for all existent documents with BaseType MMS or MMR, but it didn't.

I also want to know how does this fix solve the issue.

Thanks.

- Issue History
Date Modified Username Field Change
2010-01-18 16:12 networkb New Issue
2010-01-18 16:12 networkb Assigned To => rafaroda
2010-01-19 09:27 networkb Assigned To rafaroda => iciordia
2010-01-19 09:40 alostale Assigned To iciordia => alostale
2010-01-19 09:40 alostale Priority immediate => urgent
2010-01-19 09:40 alostale Status new => scheduled
2010-02-12 12:26 alostale Assigned To alostale => iperdomo
2010-03-08 16:06 jpabloae Target Version 2.50MP13 => 2.50MP14
2010-03-09 13:35 iperdomo Note Added: 0025179
2010-03-09 13:35 iperdomo Status scheduled => feedback
2010-03-11 11:57 eduardo_Argal Assigned To iperdomo => adrianromero
2010-03-12 09:43 networkb Status feedback => new
2010-03-12 11:27 adrianromero Status new => scheduled
2010-03-12 11:27 adrianromero fix_in_branch => pi
2010-04-15 12:10 hgbot Checkin
2010-04-15 12:10 hgbot Note Added: 0026246
2010-04-15 12:10 hgbot Status scheduled => resolved
2010-04-15 12:10 hgbot Resolution open => fixed
2010-04-15 12:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3b74d6c50ad1370cb02acd30057d8a1db567987a [^]
2010-04-19 21:13 hudsonbot Checkin
2010-04-19 21:13 hudsonbot Note Added: 0026486
2010-04-20 07:42 hgbot Checkin
2010-04-20 07:42 hgbot Note Added: 0026502
2010-04-20 07:42 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/3b74d6c50ad1370cb02acd30057d8a1db567987a [^] => http://code.openbravo.com/erp/devel/pi/rev/098eeb5c3218e26ad793ef0166117853c6a949e1 [^]
2010-04-20 10:30 harikrishnan Note Added: 0026507
2010-04-20 10:31 harikrishnan Note Added: 0026508
2010-04-21 10:43 hudsonbot Checkin
2010-04-21 10:43 hudsonbot Note Added: 0026527
2010-04-28 08:26 sureshbabu Note Added: 0026737
2010-04-28 08:26 sureshbabu Status resolved => closed
2010-04-29 00:00 anonymous sf_bug_id 0 => 2993866
2010-05-18 12:25 adrianromero Relationship added related to 0013356
2010-12-21 21:59 camcal Note Added: 0033357
2018-02-11 11:05 shuehner Relationship added related to 0037875


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker